{% extends "base.html" %} <!--dodano u ch4. k43., uklonjena vecina koda kako bi ucitali i sredili core bazni-->

{% load static %} <!--ch4, k48, dodano za stiliziranje, kako bi mogli koristiti static css fileove, omogucuje dodavanje patha pomocu static naredbe, primjer je malo dolje-->

{% block css_files %} <!--ch4, k48, dodano nakon sto je prvotno dodano u base.html-->
    <link rel="stylesheet" href="{% static "challenges/challenges.css" %}"> <!--static omogucava da ucitavamo path, slicno kao url isto u viticastima-->
    <link rel="stylesheet" href="{% static "challenges/includes/header.css" %}"> <!--dodano u ch4. k50, generalno stiliziranje-->
{% endblock %}
<!-- ch 4. korak 40. kreirali smo ovaj file kako bi mjesece kreirali tu, a ne u viewu-->

{% block page_title%} 
    All Challenges
{% endblock %} <!--ch4, k43 zato sto je u base html naslov nazvan page_title-->

{%block content%} <!--ch4, k43. zato je se body u base html zove content-->

{% include "challenges/includes/header.html" %} <!--ch4. k45. nakon kreiranja headera, includali smo ga tu-->


<ul>                         <!--ch4, k 40 -->
    {% for month in months %} <!--ovo je blok, month smo sami smislili, a months se odnosi na context key-value u views.py index funkciji -->
    <li><a href="{% url "month-challenge" month %}">{{ month|title }}</a></li>  <!--kreiramo listu ali u templateu, sto je bolje-->
    
    <!--ch4, k41. dodajemo url tag koji kreira dinamicki path do tamo gdje zelimo-->
    {% endfor %} <!--month varijabla se moze koristiti jedino unutar bloka-->
</ul>
{%endblock%}
    